summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 92eedd0)
raw | patch | inline | side by side (parent: 92eedd0)
author | Ævar Arnfjörð Bjarmason <avarab@gmail.com> | |
Tue, 14 Sep 2010 11:43:29 +0000 (11:43 +0000) | ||
committer | Ævar Arnfjörð Bjarmason <avarab@gmail.com> | |
Sat, 30 Oct 2010 07:58:24 +0000 (07:58 +0000) |
Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
git-stash.sh | patch | blob | history |
diff --git a/git-stash.sh b/git-stash.sh
index 082d2761a4046f536780922ece1baf31ee215ccd..a01bd5944787c6e6965e556605f3bc200ab07258 100755 (executable)
--- a/git-stash.sh
+++ b/git-stash.sh
:
;;
*)
- die "Too many revisions specified: $REV"
+ die "$(eval_gettext "Too many revisions specified: \$REV")"
;;
esac
# this condition with a non-zero status code but as of 1.7.2.1 it
# it did not. So, we use non-empty stderr output as a proxy for the
# condition of interest.
- test -z "$(git rev-parse "$REV" 2>&1 >/dev/null)" || die "$REV does not exist in the stash log"
+ test -z "$(git rev-parse "$REV" 2>&1 >/dev/null)" || die "$(eval_gettext "\$REV does not exist in the stash log")"
fi
}